RC - Preferences: "Highlight likely problem edits with colors..." option displayed only after opt-out from new filters
Closed, ResolvedPublic

Description

  1. On Preferences-RC the options presented to a user by default do not include "Highlight likely problem edits with colors and an "r" for "needs review".
    .
  2. "Highlight likely problem edits with colors and an "r" for "needs review" becomes visible only if a user checks 'Hide the improved version of Recent Changes' and clicks Save.

This is different form Watchlist' preferences where "Highlight likely problem edits with colors and an "r" for "needs review" is displayed all the time, not depending on whether the beta feature is enabled or not.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2017, 6:29 PM
Etonkovidova renamed this task from RC - Preferences: "Highlight likely problem edits with colors and an "r" for "needs review" option displayed only after opt-out from new filters to RC - Preferences: "Highlight likely problem edits with colors..." option displayed only after opt-out from new filters.Oct 13 2017, 4:42 PM
jmatazzoni added a subscriber: jmatazzoni.EditedOct 13 2017, 11:39 PM

To recap, here is the current situation:

With New Filters ON for RC page

RC Prefs page
  • "Show only likely problem edits" is visible and works
  • ("Highlight likely problem edits " is in hidden.)

But meanwhile,

WL Prefs page
  • "Highlight likely problem edits " on WL prefs DOES affect RC page but...
  • "Show only likely problem edits" on WL prefs has does NOT affect RC page.

With New Filters OFF for RC page

RC Prefs page
  • "Show only likely problem edits" is visible and works
  • "Highlight likely problem edits " is in visible and works

But meanwhile,

WL Prefs page
  • "Highlight likely problem edits " on WL prefs does NOT affect RC page
  • "Show only likely problem edits" on WL prefs has does NOT affect RC page.
  • "Prediction Threshold" selector DOES affect RC page

How to make more logical

Make RC and WL Revision Scoring preferences completely independent. I.e., make it so that the WL prefs don't affect RC page. And put a full set of Revision Scoring controls on RC prefs page. Here are the details:

RC Prefs page
  • Add a "Revision Scoring" section to RC prefs page that looks just like the one on WL prefs page.
  • Add "Highlight likely problem edits "—and make it so it stays visible all the time.
  • Add "Prediction Threshold" selector for RC page.
WL Prefs page
  • Make it so that "Highlight likely problem edits " on WL prefs DOES NOT affect RC page ..
  • Make so that "Prediction Threshold" selector DOES NOT affect RC page
  • Change the instruction text so that it doesn't mention RC page.

Recommendation

Turn this ticket into a ticket to "Separate Revision Scoring preferences for Watchlist and Recent Changes.

Closing this, which is being handled in T180866.

jmatazzoni closed this task as Resolved.Nov 20 2017, 4:37 PM
jmatazzoni claimed this task.